JSON for Modern C++ 1.0.0-rc1

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
nlohmann::basic_json::json_reverse_iterator< Base > Class Template Reference

a template for a reverse iterator class More...

`#include <json.hpp>`

## Public Types
using | base_iterator = std::reverse_iterator< Base >
| shortcut to the reverse iterator adaptor More...
using | reference = typename Base::reference
| the reference type for the pointed-to element More...

## Public Member Functions
| json_reverse_iterator (const typename base_iterator::iterator_type &it)
| create reverse iterator from iterator More...
| json_reverse_iterator (const base_iterator &it)
| create reverse iterator from base class More...
object_t::key_type | key () const
| return the key of an object iterator More...
json_reverse_iterator | operator+ (difference_type i) const
| add to iterator More...
json_reverse_iterator | operator++ (int)
| post-increment (it++) More...
json_reverse_iterator & | operator++ ()
| pre-increment (++it) More...
json_reverse_iterator & | operator+= (difference_type i)
| add to iterator More...
json_reverse_iterator | operator- (difference_type i) const
| subtract from iterator More...
difference_type | operator- (const json_reverse_iterator &other) const
| return difference More...
json_reverse_iterator | operator-- (int)
| post-decrement (it–) More...
json_reverse_iterator & | operator-- ()
| pre-decrement (–it) More...
reference | operator[] (difference_type n) const
| access to successor More...
reference | value () const
| return the value of an iterator More...

## Detailed Description

### template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>
template<typename Base>
class nlohmann::basic_json::json_reverse_iterator< Base >

Template Parameters

  Base | the base iterator type to reverse. Valid types are iterator (to create reverse_iterator) and const_iterator (to create const_reverse_iterator).

Requirements
  The class satisfies the following concept requirements:
  - RandomAccessIterator: The iterator that can be moved to point (forward and backward) to any element in constant time.
  - OutputIterator: It is possible to write to the pointed-to element (only if Base is iterator).

Since
  version 1.0

Definition at line 232 of file json.hpp.